Skip to main content
PATCH
/
v2
/
agent-folders
/
{folder_id}
Update Agent Folder
curl --request PATCH \
  --url https://api.duvo.ai/v2/agent-folders/{folder_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "folder": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

folder_id
string<uuid>
required

The folder's unique identifier

Body

application/json
name
string

New folder name

Required string length: 1 - 100
parent_folder_id
string<uuid> | null

New parent folder ID. Pass null to move the folder to the root level.

Response

Default Response

folder
object
required